## fiona 1.6.3

=== requirements.txt ===
argparse
cligj
six
ordereddict

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Fiona.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Fiona.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Fiona"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Fiona"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidocs:
	sphinx-apidoc -f -o . ../src/fiona
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

## fiona 1.6.0

=== debian/changelog ===
fiona (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0
  * Fix patches for new release
  * Update copyright with contents of CONTRIBUTORS.txt
  * Rebuild against libstdc++6 and gdal 1.11.2

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sat, 22 Aug 2015 21:41:13 +0200

fiona (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Apply patch by Steve Langasek to build-depend on python*-all-dev.
    (closes: #793645)
  * Update watch file to handle other tar extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 00:33:14 +0200

fiona (1.5.1-1) unstable; urgency=medium

  * Make build reproducible (Closes: #788308)
  * Imported Upstream version 1.5.1

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 10 Jun 2015 22:01:07 +0200

fiona (1.5.0-2) unstable; urgency=medium

  * Initial upload, after FTP-master comment about missing license 
  * Add license for docs/manual.rst (CC-BY-3.0-US)
  * Fix compatibility with Cython 0.22

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 02 Jun 2015 19:59:43 +0200

fiona (1.5.0-1) unstable; urgency=medium

  * Initial upload (closes: #765470)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 05 Feb 2015 16:23:03 +0100

=== debian/control ===
Source: fiona
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libgdal-dev,
               python-cligj,
               python-all,
               python-all-dev,
               python-nose,
               python3-cligj,
               python3-all,
               python3-all-dev,
               python3-nose,
               cython (>=0.21),
               cython3 (>=0.21),
               python-setuptools,
               python3-setuptools,
               python-sphinx,
               python-six,
               python3-six,
               python-pytest,
               python3-pytest,
               gdal-bin,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/fiona.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/fiona.git
Homepage: https://github.com/Toblerity/Fiona
X-Python-Version: >= 2.5

Package: python-fiona
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python API for reading/writing vector geospatial data
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package provides the Python 2 API

Package: python3-fiona
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 API for reading/writing vector geospatial data
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package provides the Python 3 API

Package: fiona
Architecture: any
Depends: python3-fiona (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: Command line tool for reading/writing vector geospatial data
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package provides the fiona command line tools

Package: fiona-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python API for reading/writing vector geospatial data (docs) 
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package contains the html documentation for Fiona.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8
LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

export PYBUILD_NAME=fiona
export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html 
export PYBUILD_TEST_NOSE=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
#fio_load and cli are excluded as these only work after installation
export PYBUILD_TEST_ARGS=--exclude test_geopackage --exclude fiona --exclude test_filter_vsi --exclude cli --exclude fio_load

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp

override_dh_install:
	dh_install
	rm -rf debian/python-fiona/usr/bin
	rm -rf debian/python3-fiona/usr/bin

debian/fiona.1:
	help2man fiona -N -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1

## fiona 1.6.3

=== debian/changelog ===
fiona (1.6.3-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for GDAL 2.0 support.
    (closes: #802808)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Feb 2016 23:28:44 +0100

fiona (1.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2015 02:25:10 +0100

fiona (1.6.2-1) unstable; urgency=medium

  * Imported Upstream version 1.6.2
  * Fix manfile generation with Python 3
  * Update manfile
  * Update section for fiona package

 -- Johan Van de Wauw <johan@vandewauw.be>  Wed, 23 Sep 2015 23:33:24 +0200

fiona (1.6.1-2) unstable; urgency=medium

  * Add python-click-plugins to fiona dependencies
  * Correctly use python3 for fiona binary
  * Add python-click-plugins as B/D + reorder B/D

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 15 Sep 2015 22:37:31 +0200

fiona (1.6.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add Suggests on fiona-doc to the other binary packages.
    (closes: #798419)

  [ Johan Van de Wauw ]
  * Imported Upstream version 1.6.1

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 14 Sep 2015 21:23:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: fiona
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
+Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
                libgdal-dev,
+               python-all,
+               python3-all,
                python-cligj,
-               python-all,
+               python3-cligj,
                python-all-dev,
+               python3-all-dev,
                python-nose,
-               python3-cligj,
-               python3-all,
-               python3-all-dev,
                python3-nose,
-               cython (>=0.21),
-               cython3 (>=0.21),
+               python-click-plugins,
+               python3-click-plugins,
+               cython (>= 0.21),
+               cython3 (>= 0.21),
                python-setuptools,
                python3-setuptools,
-               python-sphinx,
                python-six,
                python3-six,
                python-pytest,
                python3-pytest,
-               gdal-bin,
+               python-sphinx,
+               gdal-bin
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/fiona.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/fiona.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/fiona.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
 X-Python-Version: >= 2.5
 
@@ -35,6 +37,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: fiona-doc
 Description: Python API for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
@@ -52,6 +55,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: fiona-doc
 Description: Python 3 API for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
@@ -66,9 +70,12 @@
 
 Package: fiona
 Architecture: any
+Section: science
 Depends: python3-fiona (= ${binary:Version}),
          ${python3:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-click-plugins
+Suggests: fiona-doc
 Description: Command line tool for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
@@ -97,4 +104,3 @@
  such as pyproj, Rtree, and Shapely.
  .
  This package contains the html documentation for Fiona.
-

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	rm -rf debian/python3-fiona/usr/bin
 
 debian/fiona.1:
-	help2man fiona -N -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1
+	help2man fiona -N -L en_US.utf8 -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/tags \
(?:.*/)?(?:rel|r|v|fiona)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fiona 1.7.0.post2

=== debian/changelog ===
fiona (1.7.0.post2-1build1) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 16:07:06 +0200

fiona (1.7.0.post2-1) unstable; urgency=medium

  * Team upload.
  * New upstream post release.
  * Drop clean-setup.patch, fixed upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Jun 2016 19:14:05 +0200

fiona (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Ignore test failures on ppc64 too.
  * Add patch to not copy GDAL API C files in clean target.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Jun 2016 14:56:53 +0200

fiona (1.7~b1-3) unstable; urgency=medium

  * Team upload.
  * Exclude unicode test too.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2016 21:29:10 +0200

fiona (1.7~b1-2) unstable; urgency=medium

  * Team upload.
  * Exclude fio_{info,ls} tests causing build failures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2016 18:21:40 +0200

fiona (1.7~b1-1) unstable; urgency=medium

  * Team upload.
  * New upstream pre-release.
  * Override dh_auto_test to ignore test failures on Hurd & kFreeBSD.
  * Update watch file to handle pre-releases.
  * Add python{,3}-munch to build dependencies.
  * Drop patches applied/included upstream. Refresh remaining patches.
  * Update watch file to handle more tag conventions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2016 14:30:25 +0200

fiona (1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 01:44:55 +0200

fiona (1.6.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all buildflags, except PIE (causes build failure).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 12:00:50 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags, except:
#  pie: causes build failure
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

export LC_ALL=C.UTF-8
export LANG=C.UTF-8
LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=fiona
export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html 
export PYBUILD_TEST_NOSE=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
#fio_load and cli are excluded as these only work after installation
export PYBUILD_TEST_ARGS=--exclude test_geopackage --exclude fiona --exclude test_filter_vsi --exclude cli --exclude fio_load --exclude test_fio_info --exclude test_fio_ls --exclude test_unicode

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(findstring $(DEB_BUILD_ARCH),"hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64"))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:
	dh_install
	rm -rf debian/python-fiona/usr/bin
	rm -rf debian/python3-fiona/usr/bin

debian/fiona.1:
	help2man fiona -N -L en_US.utf8 -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1

## fiona 1.7.1

=== debian/changelog ===
fiona (1.7.1-1) unstable; urgency=medium

  * Add extra clean targets
  * New upstream version 1.7.1
  * Refresh patches
  * Update d/copyright

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 17 Nov 2016 22:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,30 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
+               gdal-bin,
                libgdal-dev,
+               cython (>= 0.21),
+               cython3 (>= 0.21),
                python-all,
                python3-all,
+               python-all-dev,
+               python3-all-dev,
+               python-click-plugins,
+               python3-click-plugins,
                python-cligj,
                python3-cligj,
-               python-all-dev,
-               python3-all-dev,
+               python-munch,
+               python3-munch,
                python-nose,
                python3-nose,
-               python-click-plugins,
-               python3-click-plugins,
-               cython (>= 0.21),
-               cython3 (>= 0.21),
+               python-pytest,
+               python3-pytest,
                python-setuptools,
                python3-setuptools,
                python-six,
                python3-six,
-               python-pytest,
-               python3-pytest,
-               python-sphinx,
-               gdal-bin
-Standards-Version: 3.9.6
+               python-sphinx
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/fiona.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp
+	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/ fiona/ogrext.pyx
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only

## fiona 1.7.8

=== debian/changelog ===
fiona (1.7.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix SOURCE_DATE_EPOCH use.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 20:24:52 +0200

fiona (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.0.0, no changes.
  * Enable PIE hardening buildflags.
  * Use SOURCE_DATE_EPOCH variable instead of dpkg-parsechangelog output.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Jun 2017 07:46:01 +0200

fiona (1.7.6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.6
  * Add dependency to python-enum34

 -- Johan Van de Wauw <johan@vandewauw.be>  Fri, 19 May 2017 22:58:19 +0200

fiona (1.7.5-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.5

 -- Johan Van de Wauw <johan@vandewauw.be>  Wed, 22 Mar 2017 11:55:09 +0100

fiona (1.7.4-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.4

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 20 Feb 2017 19:49:22 +0100

fiona (1.7.3-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.3
  * Bump copyright years

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 14 Feb 2017 20:20:50 +0100

fiona (1.7.2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.2

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 31 Jan 2017 10:06:39 +0100

## fiona 1.7.9

=== debian/changelog ===
fiona (1.7.9-1build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:22 +0000

fiona (1.7.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Aug 2017 16:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-click-plugins,
                python-cligj,
                python3-cligj,
+               python-enum34,
                python-munch,
                python3-munch,
                python-nose,
@@ -28,7 +29,7 @@
                python-six,
                python3-six,
                python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/fiona.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

## fiona 1.7.10

=== requirements.txt ===
argparse
cligj
six
ordereddict
munch

=== debian/changelog ===
fiona (1.7.10-1build1) bionic; urgency=medium

  * Rebuild against new gdal-abi-2-2-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 22:09:05 +0100

fiona (1.7.10-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Add python3-sphinx to build dependencies.

  [ Johan Van de Wauw ]
  * New upstream version 1.7.10

 -- Johan Van de Wauw <johan@gisky.be>  Thu, 02 Nov 2017 21:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,9 @@
                python3-setuptools,
                python-six,
                python3-six,
-               python-sphinx
-Standards-Version: 4.0.0
+               python-sphinx,
+               python3-sphinx
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/fiona.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 
-# Enable hardening build flags, except:
-#  pie: causes build failure
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
-LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
-BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/tags \
(?:.*/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fiona 1.7.13

=== requirements.txt ===
argparse
cligj>=0.4
six>=1.7
ordereddict
munch

=== debian/changelog ===
fiona (1.7.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use filter instead of findstring to prevent partial matches.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to use releases instead of tags.
  * Refresh patches.
  * Exclude test_feature from tests.
  * Update watch file to limit matches to archive path.
  * Fix incomplete-creative-commons-license issue.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Aug 2018 18:20:14 +0200

fiona (1.7.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Use Python 2 sphinx-build for python2 build explicitly.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 15:19:46 +0200

fiona (1.7.11-3) unstable; urgency=medium

  * Team upload.
  * Skip tests that fail with GDAL 2.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 May 2018 20:54:30 +0200

fiona (1.7.11-2) unstable; urgency=medium

  * Team upload.
  * Skip test_listing tests, causes FTBFS on various architectures.
  * Drop X-Python-Version field.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 May 2018 08:36:54 +0200

fiona (1.7.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add module import tests to autopkgtest configuration.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 May 2018 20:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -30,11 +30,10 @@
                python3-six,
                python-sphinx,
                python3-sphinx
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/fiona.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/fiona.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
+Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
-X-Python-Version: >= 2.5
 
 Package: python-fiona
 Architecture: any
@@ -97,7 +96,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
-Description: Python API for reading/writing vector geospatial data (docs) 
+Description: Python API for reading/writing vector geospatial data (docs)
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
  and writing data in standard Python IO style and relies upon familiar

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,26 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export PYBUILD_NAME=fiona
-export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html 
+export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' /usr/share/sphinx/scripts/python2/sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html
 export PYBUILD_TEST_NOSE=1
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 #fio_load and cli are excluded as these only work after installation
-export PYBUILD_TEST_ARGS=--exclude test_geopackage --exclude fiona --exclude test_filter_vsi --exclude cli --exclude fio_load --exclude test_fio_info --exclude test_fio_ls --exclude test_unicode
+export PYBUILD_TEST_ARGS=--exclude cli \
+                         --exclude fio_load \
+                         --exclude fiona \
+                         --exclude test_bytescollection \
+                         --exclude test_collection \
+                         --exclude test_feature \
+                         --exclude test_filter_vsi \
+                         --exclude test_fio_info \
+                         --exclude test_fio_ls \
+                         --exclude test_geopackage \
+                         --exclude test_layer \
+                         --exclude test_listing \
+                         --exclude test_profile \
+                         --exclude test_unicode \
+                         --exclude test_vfs
 
 %:
 	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild
@@ -27,7 +41,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test

## fiona 1.8.4

=== docs/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
-html:
+html: apidocs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
@@ -153,6 +153,6 @@
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 apidocs:
-	sphinx-apidoc -f -o . ../src/fiona
+	sphinx-apidoc -f -o . ../fiona
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
fiona (1.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Dec 2018 09:48:55 +0100

fiona (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Dec 2018 08:51:27 +0100

fiona (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Nov 2018 14:57:39 +0100

fiona (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Nov 2018 06:56:52 +0100

fiona (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Use pytest instead of nose.
  * Refresh patches.
  * Add python{,3}-{attr,boto3} to build dependencies.
  * Don't remove fiona/ogrext.pyx in clean target.
  * Update skipped tests for switch from nose to pytest.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Oct 2018 20:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,10 @@
                python3-all,
                python-all-dev,
                python3-all-dev,
+               python-attr,
+               python3-attr,
+               python-boto3,
+               python3-boto3,
                python-click-plugins,
                python3-click-plugins,
                python-cligj,
@@ -20,8 +24,6 @@
                python-enum34,
                python-munch,
                python3-munch,
-               python-nose,
-               python3-nose,
                python-pytest,
                python3-pytest,
                python-setuptools,
@@ -30,7 +32,7 @@
                python3-six,
                python-sphinx,
                python3-sphinx
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=fiona
export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' /usr/share/sphinx/scripts/python2/sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=--ignore tests/test_bytescollection.py \
                         --ignore tests/test_collection.py \
                         --ignore tests/test_feature.py \
                         --ignore tests/test_filter_vsi.py \
                         --ignore tests/test_fio_bounds.py \
                         --ignore tests/test_fio_calc.py \
                         --ignore tests/test_fio_cat.py \
                         --ignore tests/test_fio_collect.py \
                         --ignore tests/test_fio_distrib.py \
                         --ignore tests/test_fio_dump.py \
                         --ignore tests/test_fio_filter.py \
                         --ignore tests/test_fio_info.py \
                         --ignore tests/test_fio_load.py \
                         --ignore tests/test_fio_ls.py \
                         --ignore tests/test_fio_rm.py \
                         --ignore tests/test_geopackage.py \
                         --ignore tests/test_layer.py \
                         --ignore tests/test_listing.py \
                         --ignore tests/test_profile.py \
                         --ignore tests/test_unicode.py \
                         --ignore tests/test_vfs.py

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:
	dh_install
	rm -rf debian/python-fiona/usr/bin
	rm -rf debian/python3-fiona/usr/bin

debian/fiona.1:
	help2man fiona -N -L en_US.utf8 -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1

## fiona 1.8.6

=== debian/changelog ===
fiona (1.8.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 19:51:35 +0200

fiona (1.8.6-1) unstable; urgency=medium

  * Team upload.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 08:00:48 +0200

fiona (1.8.6-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Ignore test_data_paths.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Mar 2019 06:50:58 +0100

fiona (1.8.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.
  * Add python{,3}-mock to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2019 08:34:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,53 +7,23 @@
                dh-python,
                gdal-bin,
                libgdal-dev,
-               cython (>= 0.21),
                cython3 (>= 0.21),
-               python-all,
                python3-all,
-               python-all-dev,
                python3-all-dev,
-               python-attr,
                python3-attr,
-               python-boto3,
                python3-boto3,
-               python-click-plugins,
                python3-click-plugins,
-               python-cligj,
                python3-cligj,
-               python-enum34,
-               python-munch,
+               python3-mock,
                python3-munch,
-               python-pytest,
                python3-pytest,
-               python-setuptools,
                python3-setuptools,
-               python-six,
                python3-six,
-               python-sphinx,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
-
-Package: python-fiona
-Architecture: any
-Depends: ${python:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: fiona-doc
-Description: Python API for reading/writing vector geospatial data
- Fiona is a Python wrapper around the OGR vector data abstraction library.
- Fiona is designed to be simple and dependable. It focuses on reading
- and writing data in standard Python IO style and relies upon familiar
- Python types and protocols such as files, dictionaries, mappings, and
- iterators instead of classes specific to OGR. Fiona can read and write
- real-world data using multi-layered GIS formats and zipped virtual
- file systems and integrates readily with other Python GIS packages
- such as pyproj, Rtree, and Shapely.
- .
- This package provides the Python 2 API
 
 Package: python3-fiona
 Architecture: any
@@ -77,9 +47,9 @@
 Architecture: any
 Section: science
 Depends: python3-fiona (= ${binary:Version}),
+         python3-click-plugins,
          ${python3:Depends},
-         ${misc:Depends},
-         python3-click-plugins
+         ${misc:Depends}
 Suggests: fiona-doc
 Description: Command line tool for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,13 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export PYBUILD_NAME=fiona
-export PYBUILD_AFTER_BUILD_python2 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' /usr/share/sphinx/scripts/python2/sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html
+export PYBUILD_AFTER_BUILD_python3 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' /usr/share/sphinx/scripts/python3/sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 export PYBUILD_TEST_ARGS=--ignore tests/test_bytescollection.py \
                          --ignore tests/test_collection.py \
+                         --ignore tests/test_data_paths.py \
                          --ignore tests/test_feature.py \
                          --ignore tests/test_filter_vsi.py \
                          --ignore tests/test_fio_bounds.py \
@@ -38,7 +39,7 @@
                          --ignore tests/test_vfs.py
 
 %:
-	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh  $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
@@ -53,8 +54,7 @@
 endif
 
 override_dh_install:
-	dh_install
-	rm -rf debian/python-fiona/usr/bin
+	dh_install --list-missing
 	rm -rf debian/python3-fiona/usr/bin
 
 debian/fiona.1:

## fiona 1.8.13

=== requirements.txt ===
argparse==1.4.0
attrs==18.2.0
click-plugins==1.0.4
cligj==0.5.0
enum34==1.1.6 ; python_version < '3.4'
munch==2.3.2
ordereddict==1.1 ; python_version <= '2.7'
six==1.11.0

=== debian/changelog ===
fiona (1.8.13-1build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:33 +0100

fiona (1.8.13-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:12:04 +0100

fiona (1.8.13-1build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:30:31 +0000

fiona (1.8.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Dec 2019 18:08:18 +0100

fiona (1.8.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Dec 2019 14:12:08 +0100

fiona (1.8.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Nov 2019 06:39:34 +0100

fiona (1.8.9-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Apply patch by Matthias Klose to fix FTBFS with multiple python3 versions.
    (closes: #943513)

  [ Matthias Klose ]
  * Call python{version} -m sphinx to build the documentation.
  * Build the docs in a temporary directory.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 19:55:22 +0200

fiona (1.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop gdal3.patch, fixed upstream.
  * Refresh patches.
  * Add patch to fix clean target.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2019 06:06:34 +0200

fiona (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2019 07:37:43 +0200

fiona (1.8.6-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with GDAL 3.
    (closes: #939872)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2019 09:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export PYBUILD_NAME=fiona
-export PYBUILD_AFTER_BUILD_python3 = PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' /usr/share/sphinx/scripts/python3/sphinx-build -N -bhtml -D today="$(BUILD_DATE)" docs/ build/html
+export PYBUILD_AFTER_BUILD_python3 = mkdir -p doc-build && cd doc-build && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python{version} -m sphinx -N -bhtml -D today="$(BUILD_DATE)" ../docs/ ../build/html
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
@@ -44,6 +44,7 @@
 override_dh_clean:
 	dh_clean
 	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/
+	rm -rf doc-build
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/releases \
(?:.*/archive/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
